/* 
Tegn en et boblediagram for en runde i en sesong
*/
function tegnSesongBobler(sesongen,runde){
	// marginer for å lette tegningen
	var marginB=60;
	var marginL=10;
	var marginR=70;
	var marginT=30;
	// x-aksen
	line(0,height-marginB,width,height-marginB);
	// feltet der boblene skal være
	push();
		fill(200,255,255);
		noStroke();
		rect(0,marginT,width,height-marginB-marginT);
	pop();
	// avstand mellom lagene ( diameter i boblene)
	var step=(width-marginL-marginR)/sesongen.getAntallKlubber();
	
	push();
	// flytt origo ned til venstre i det fargede feltet
	translate(marginL,height-marginB);
	// så tegner vi klubber bortover
	for(var i=0; i< sesongen.getAntallKlubber();i++){
		push();
			// vandrer mot venstre 
			translate(i*step+step/2,0);
			// hvor høyt skal vi 
			var v=map(sesongen.getLag(i).getPoeng(),
						0,sesongen.getMaksPoeng(),
						0,height-marginB-marginT-step);
			// så vi går klare av x-aksen 
			v+=step/2;
			// ballong med sn"snor2 
			line(0,0,0,-v);
			fill(255);
			ellipse(0,-v,step,step);
			
			// marker laget med navn 
			textAlign(CENTER,CENTER);
			fill(0);
			text(sesongen.getLag(i).getPoeng(),0,-v);
			textAlign(LEFT,TOP);
			rotate(PI/8);
			text(sesongen.getLag(i).getNavn(),0,5);
		pop();
	}
	pop();
}