/*
 en sesong for en liga basert på resultater (matches)
 inklusive  enliste av lagnavn (teams)
 */
function sesong(JsonRes){
	this.aar=JsonRes.year;
	this.serie=JsonRes.liga;	
	this.kampListe=JsonRes.matches;
	this.maksPoeng=0;

	// legger til lag i denne sesongen
	this.klubbListe=new Array();
	for(var ix=0;ix <JsonRes.teams.length;ix++){
		this.klubbListe[ix]=new klubb( JsonRes.teams[ix]);
	}
	//----------- funksjoner--------
	// regner ut maks poeng 
	this.setMaxPoeng=function(){
		for(var i=0;i < this.klubbListe.length;i++){
			this.maksPoeng=Math.max(this.maksPoeng,this.klubbListe[i].getPoeng());
		}
		//og sorterer lagene
		this.klubbListe.sort(
			// compare:
			function(a,b){
				return b.getPoeng()-a.getPoeng();
			}
		)
	}
	// opdaterer status til en bestemt runde
	this.oppDater=function(runde){
		var r=Math.min(runde,this.getAntallRunder());
		// nullstill
		for(var i=0;i < this.klubbListe.length;i++){
				this.klubbListe[i].resetPoeng();
		}		
		// fordel poeng t.o.m. denne runden
		for(var j=0; j < this.kampListe.length; j++){
			var kamp=this.kampListe[j];
			if( kamp.round <=r ){
				for(var i=0;i < this.klubbListe.length;i++){
				this.klubbListe[i].oppdaterPoeng(kamp);
				}
			}
		}
	}
	// hvor mange runder er det i denne sesongen
	this.getAntallRunder=function(){		
		return int(this.kampListe[this.kampListe.length-1].round);
	}
	// årstallet
	this.getAar=function(){
		var y1=this.kampListe[0].date.split(".")[0];
		var y2=this.kampListe[this.kampListe.length-1].date.split(".")[0];
		if(y1==y2)
			return y1;
		else
			return y1+"/"+y2;
	}
	// liganavnet
	this.getLiga=function(){
		return this.serie;
	}
	// antall klubber
	this.getAntallKlubber=function(){
		return this.klubbListe.length;
	}
	// finn et lag
	this.getLag=function(i){
		return this.klubbListe[i];
	}
	// hva er maks poeng noe lag har fått denne sesongen
	this.getMaksPoeng=function(){
		return this.maksPoeng;
	}

}